#!/usr/bin/env Rscript
#if (!require("remotes")) install.packages("remotes")
#remotes::install_github("philipp-baumann/simplerspec")
source('D:/OpusData/OpusData.R')
file_path <- "D:\\OpusData\\Spektrometer Anbindung\\Test Daten\\OPUS\\"
file_name <- "Rng02_Rng2630_01.0"

data <- read_opus_univ(paste(file_path, file_name, sep = ""), extract = "spc",
                   atm_comp_minus4offset = FALSE)

data_x_values <- data$`D:\\OpusData\\Spektrometer Anbindung\\Test Daten\\OPUS\\Rng02_Rng2630_01.0`$wavenumbers
data_y_values <- data$`D:\\OpusData\\Spektrometer Anbindung\\Test Daten\\OPUS\\Rng02_Rng2630_01.0`$spc

setwd(paste(file_path, "..\\DPT", sep = ""))
file.create(paste(substr(file_name, 0, nchar(file_name)-1), "DPT", sep = ""))




